diff --git a/net/libksieve/Makefile b/net/libksieve/Makefile
index 18b2fcbb49fc..135b2638950b 100644
--- a/net/libksieve/Makefile
+++ b/net/libksieve/Makefile
@@ -11,17 +11,16 @@ LICENSE=	LGPL21
 BUILD_DEPENDS=	${LOCALBASE}/include/boost/range/algorithm.hpp:devel/boost-libs
 LIB_DEPENDS=	libsasl2.so:security/cyrus-sasl2
 
-USES=		cmake compiler:c++11-lib gettext kde:5 qt:5 tar:xz xorg
+USES=		cmake compiler:c++11-lib gettext kde:6 qt:6 tar:xz xorg
 USE_KDE=	archive attica auth codecs completion config configwidgets \
 		coreaddons i18n iconthemes jobwidgets kio newstuff service \
-		solid sonnet syntaxhighlighting wallet widgetsaddons windowsystem xmlgui \
+		solid sonnet syntaxhighlighting wallet widgetsaddons \
+		windowsystem xmlgui \
 		ecm:build
 # pim components
 USE_KDE+=	akonadi identitymanagement libkdepim mailtransport mime \
 		pimcommon pimtextedit
-USE_QT=		concurrent core dbus declarative gui location network printsupport \
-		uitools webchannel webengine widgets xml \
-                buildtools:build qmake:build testlib:build
+USE_QT=		base
 USE_XORG=	x11
 USE_LDCONFIG=	yes
 
diff --git a/net/libksieve/distinfo b/net/libksieve/distinfo
index 116885ff0eab..9aebb77eabf7 100644
--- a/net/libksieve/distinfo
+++ b/net/libksieve/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889481
-SHA256 (KDE/release-service/23.08.5/libksieve-23.08.5.tar.xz) = 5a06482dd05b430ea745b72b7cb495444ab84223c27152375035d4fd3615825c
-SIZE (KDE/release-service/23.08.5/libksieve-23.08.5.tar.xz) = 581988
+TIMESTAMP = 1734460333
+SHA256 (KDE/release-service/24.12.0/libksieve-24.12.0.tar.xz) = c48699eaafe04d09a0acd134e8c3d10f3db8ef3a017923923499b25d12035272
+SIZE (KDE/release-service/24.12.0/libksieve-24.12.0.tar.xz) = 603588
diff --git a/net/libksieve/pkg-plist b/net/libksieve/pkg-plist
index bbb0658b19aa..ea3542f5965e 100644
--- a/net/libksieve/pkg-plist
+++ b/net/libksieve/pkg-plist
@@ -1,136 +1,166 @@
-include/KF5/KSieve/libksieve_version.h
-include/KPim5/KManageSieve/KManageSieve/SieveJob
-include/KPim5/KManageSieve/kmanagesieve/kmanagesieve_export.h
-include/KPim5/KManageSieve/kmanagesieve/sievejob.h
-include/KPim5/KSieveUi/KSieveUi/AbstractMoveImapFolderWidget
-include/KPim5/KSieveUi/KSieveUi/AbstractRegexpEditorLineEdit
-include/KPim5/KSieveUi/KSieveUi/AbstractSelectEmailLineEdit
-include/KPim5/KSieveUi/KSieveUi/CheckScriptJob
-include/KPim5/KSieveUi/KSieveUi/ManageSieveScriptsDialog
-include/KPim5/KSieveUi/KSieveUi/ManageSieveTreeView
-include/KPim5/KSieveUi/KSieveUi/ManageSieveWidget
-include/KPim5/KSieveUi/KSieveUi/MultiImapVacationDialog
-include/KPim5/KSieveUi/KSieveUi/MultiImapVacationManager
-include/KPim5/KSieveUi/KSieveUi/RenameScriptJob
-include/KPim5/KSieveUi/KSieveUi/SieveDebugDialog
-include/KPim5/KSieveUi/KSieveUi/SieveEditor
-include/KPim5/KSieveUi/KSieveUi/SieveEditorWidget
-include/KPim5/KSieveUi/KSieveUi/SieveImapAccountSettings
-include/KPim5/KSieveUi/KSieveUi/SieveImapInstance
-include/KPim5/KSieveUi/KSieveUi/SieveImapInstanceInterface
-include/KPim5/KSieveUi/KSieveUi/SieveImapInstanceInterfaceManager
-include/KPim5/KSieveUi/KSieveUi/SieveImapPasswordProvider
-include/KPim5/KSieveUi/KSieveUi/SieveTreeWidgetItem
-include/KPim5/KSieveUi/KSieveUi/Util
-include/KPim5/KSieveUi/KSieveUi/VacationManager
-include/KPim5/KSieveUi/ksieveui/abstractmoveimapfolderwidget.h
-include/KPim5/KSieveUi/ksieveui/abstractregexpeditorlineedit.h
-include/KPim5/KSieveUi/ksieveui/abstractselectemaillineedit.h
-include/KPim5/KSieveUi/ksieveui/checkscriptjob.h
-include/KPim5/KSieveUi/ksieveui/ksieveui_export.h
-include/KPim5/KSieveUi/ksieveui/managesievescriptsdialog.h
-include/KPim5/KSieveUi/ksieveui/managesievetreeview.h
-include/KPim5/KSieveUi/ksieveui/managesievewidget.h
-include/KPim5/KSieveUi/ksieveui/multiimapvacationdialog.h
-include/KPim5/KSieveUi/ksieveui/multiimapvacationmanager.h
-include/KPim5/KSieveUi/ksieveui/renamescriptjob.h
-include/KPim5/KSieveUi/ksieveui/sievedebugdialog.h
-include/KPim5/KSieveUi/ksieveui/sieveeditor.h
-include/KPim5/KSieveUi/ksieveui/sieveeditorwidget.h
-include/KPim5/KSieveUi/ksieveui/sieveimapaccountsettings.h
-include/KPim5/KSieveUi/ksieveui/sieveimapinstance.h
-include/KPim5/KSieveUi/ksieveui/sieveimapinstanceinterface.h
-include/KPim5/KSieveUi/ksieveui/sieveimapinstanceinterfacemanager.h
-include/KPim5/KSieveUi/ksieveui/sieveimappasswordprovider.h
-include/KPim5/KSieveUi/ksieveui/sievetreewidgetitem.h
-include/KPim5/KSieveUi/ksieveui/util.h
-include/KPim5/KSieveUi/ksieveui/util_p.h
-include/KPim5/KSieveUi/ksieveui/vacationmanager.h
-lib/cmake/KPim5LibKSieve/KPim5LibKSieveConfig.cmake
-lib/cmake/KPim5LibKSieve/KPim5LibKSieveConfigVersion.cmake
-lib/cmake/KPim5LibKSieve/KPim5LibKSieveTargets-%%CMAKE_BUILD_TYPE%%.cmake
-lib/cmake/KPim5LibKSieve/KPim5LibKSieveTargets.cmake
-lib/libKPim5KManageSieve.so
-lib/libKPim5KManageSieve.so.5
-lib/libKPim5KManageSieve.so.%%KDE_APPLICATIONS_SHLIB_VER%%
-lib/libKPim5KSieve.so
-lib/libKPim5KSieve.so.5
-lib/libKPim5KSieve.so.%%KDE_APPLICATIONS_SHLIB_VER%%
-lib/libKPim5KSieveUi.so
-lib/libKPim5KSieveUi.so.5
-lib/libKPim5KSieveUi.so.%%KDE_APPLICATIONS_SHLIB_VER%%
-%%QT_MKSPECDIR%%/modules/qt_KManageSieve.pri
-%%QT_MKSPECDIR%%/modules/qt_KSieveUi.pri
+include/KPim6/KManageSieve/KManageSieve/SieveJob
+include/KPim6/KManageSieve/kmanagesieve/kmanagesieve_export.h
+include/KPim6/KManageSieve/kmanagesieve/sievejob.h
+include/KPim6/KManageSieve/libkmanagesieve_version.h
+include/KPim6/KSieve/libksieve_version.h
+include/KPim6/KSieveCore/KSieveCore/CheckScriptJob
+include/KPim6/KSieveCore/KSieveCore/MultiImapVacationManager
+include/KPim6/KSieveCore/KSieveCore/ParsingUtil
+include/KPim6/KSieveCore/KSieveCore/RenameScriptJob
+include/KPim6/KSieveCore/KSieveCore/SearchServerWithVacationSupportJob
+include/KPim6/KSieveCore/KSieveCore/SieveImapAccountSettings
+include/KPim6/KSieveCore/KSieveCore/SieveImapInstance
+include/KPim6/KSieveCore/KSieveCore/SieveImapInstanceInterface
+include/KPim6/KSieveCore/KSieveCore/SieveImapInstanceInterfaceManager
+include/KPim6/KSieveCore/KSieveCore/SieveImapPasswordProvider
+include/KPim6/KSieveCore/KSieveCore/Util
+include/KPim6/KSieveCore/KSieveCore/VacationCheckJob
+include/KPim6/KSieveCore/KSieveCore/VacationCreateScriptJob
+include/KPim6/KSieveCore/KSieveCore/VacationUtils
+include/KPim6/KSieveCore/KSieveCore/XMLPrintingScriptBuilder
+include/KPim6/KSieveCore/ksievecore/checkscriptjob.h
+include/KPim6/KSieveCore/ksievecore/ksievecore_export.h
+include/KPim6/KSieveCore/ksievecore/multiimapvacationmanager.h
+include/KPim6/KSieveCore/ksievecore/parsingutil.h
+include/KPim6/KSieveCore/ksievecore/renamescriptjob.h
+include/KPim6/KSieveCore/ksievecore/searchserverwithvacationsupportjob.h
+include/KPim6/KSieveCore/ksievecore/sieve-vacation.h
+include/KPim6/KSieveCore/ksievecore/sieveimapaccountsettings.h
+include/KPim6/KSieveCore/ksievecore/sieveimapinstance.h
+include/KPim6/KSieveCore/ksievecore/sieveimapinstanceinterface.h
+include/KPim6/KSieveCore/ksievecore/sieveimapinstanceinterfacemanager.h
+include/KPim6/KSieveCore/ksievecore/sieveimappasswordprovider.h
+include/KPim6/KSieveCore/ksievecore/util.h
+include/KPim6/KSieveCore/ksievecore/vacationcheckjob.h
+include/KPim6/KSieveCore/ksievecore/vacationcreatescriptjob.h
+include/KPim6/KSieveCore/ksievecore/vacationutils.h
+include/KPim6/KSieveCore/ksievecore/xmlprintingscriptbuilder.h
+include/KPim6/KSieveCore/libksievecore_version.h
+include/KPim6/KSieveUi/KSieveUi/AbstractMoveImapFolderWidget
+include/KPim6/KSieveUi/KSieveUi/AbstractRegexpEditorLineEdit
+include/KPim6/KSieveUi/KSieveUi/AbstractSelectEmailLineEdit
+include/KPim6/KSieveUi/KSieveUi/ManageSieveScriptsDialog
+include/KPim6/KSieveUi/KSieveUi/ManageSieveTreeView
+include/KPim6/KSieveUi/KSieveUi/ManageSieveWidget
+include/KPim6/KSieveUi/KSieveUi/MultiImapVacationDialog
+include/KPim6/KSieveUi/KSieveUi/SieveDebugDialog
+include/KPim6/KSieveUi/KSieveUi/SieveEditor
+include/KPim6/KSieveUi/KSieveUi/SieveEditorWidget
+include/KPim6/KSieveUi/KSieveUi/SieveTreeWidgetItem
+include/KPim6/KSieveUi/KSieveUi/VacationManager
+include/KPim6/KSieveUi/ksieveui/abstractmoveimapfolderwidget.h
+include/KPim6/KSieveUi/ksieveui/abstractregexpeditorlineedit.h
+include/KPim6/KSieveUi/ksieveui/abstractselectemaillineedit.h
+include/KPim6/KSieveUi/ksieveui/ksieveui_export.h
+include/KPim6/KSieveUi/ksieveui/managesievescriptsdialog.h
+include/KPim6/KSieveUi/ksieveui/managesievetreeview.h
+include/KPim6/KSieveUi/ksieveui/managesievewidget.h
+include/KPim6/KSieveUi/ksieveui/multiimapvacationdialog.h
+include/KPim6/KSieveUi/ksieveui/sievedebugdialog.h
+include/KPim6/KSieveUi/ksieveui/sieveeditor.h
+include/KPim6/KSieveUi/ksieveui/sieveeditorwidget.h
+include/KPim6/KSieveUi/ksieveui/sievetreewidgetitem.h
+include/KPim6/KSieveUi/ksieveui/vacationmanager.h
+include/KPim6/KSieveUi/libksieveui_version.h
+lib/cmake/KPim6KManageSieve/KPim6KManageSieveConfig.cmake
+lib/cmake/KPim6KManageSieve/KPim6KManageSieveConfigVersion.cmake
+lib/cmake/KPim6KManageSieve/KPim6KManageSieveTargets-%%CMAKE_BUILD_TYPE%%.cmake
+lib/cmake/KPim6KManageSieve/KPim6KManageSieveTargets.cmake
+lib/cmake/KPim6KSieve/KPim6KSieveConfig.cmake
+lib/cmake/KPim6KSieve/KPim6KSieveConfigVersion.cmake
+lib/cmake/KPim6KSieve/KPim6KSieveTargets-%%CMAKE_BUILD_TYPE%%.cmake
+lib/cmake/KPim6KSieve/KPim6KSieveTargets.cmake
+lib/cmake/KPim6KSieveCore/KPim6KSieveCoreConfig.cmake
+lib/cmake/KPim6KSieveCore/KPim6KSieveCoreConfigVersion.cmake
+lib/cmake/KPim6KSieveCore/KPim6KSieveCoreTargets-%%CMAKE_BUILD_TYPE%%.cmake
+lib/cmake/KPim6KSieveCore/KPim6KSieveCoreTargets.cmake
+lib/cmake/KPim6KSieveUi/KPim6KSieveUiConfig.cmake
+lib/cmake/KPim6KSieveUi/KPim6KSieveUiConfigVersion.cmake
+lib/cmake/KPim6KSieveUi/KPim6KSieveUiTargets-%%CMAKE_BUILD_TYPE%%.cmake
+lib/cmake/KPim6KSieveUi/KPim6KSieveUiTargets.cmake
+lib/libKPim6KManageSieve.so
+lib/libKPim6KManageSieve.so.6
+lib/libKPim6KManageSieve.so.%%KDE_APPLICATIONS_SHLIB_VER%%
+lib/libKPim6KSieve.so
+lib/libKPim6KSieve.so.6
+lib/libKPim6KSieve.so.%%KDE_APPLICATIONS_SHLIB_VER%%
+lib/libKPim6KSieveCore.so
+lib/libKPim6KSieveCore.so.6
+lib/libKPim6KSieveCore.so.%%KDE_APPLICATIONS_SHLIB_VER%%
+lib/libKPim6KSieveUi.so
+lib/libKPim6KSieveUi.so.6
+lib/libKPim6KSieveUi.so.%%KDE_APPLICATIONS_SHLIB_VER%%
 share/knsrcfiles/ksieve_script.knsrc
-share/locale/ar/LC_MESSAGES/libksieve.mo
-share/locale/be/LC_MESSAGES/libksieve.mo
-share/locale/bg/LC_MESSAGES/libksieve.mo
-share/locale/br/LC_MESSAGES/libksieve.mo
-share/locale/bs/LC_MESSAGES/libksieve.mo
-share/locale/ca/LC_MESSAGES/libksieve.mo
-share/locale/ca@valencia/LC_MESSAGES/libksieve.mo
-share/locale/cs/LC_MESSAGES/libksieve.mo
-share/locale/cy/LC_MESSAGES/libksieve.mo
-share/locale/da/LC_MESSAGES/libksieve.mo
-share/locale/de/LC_MESSAGES/libksieve.mo
-share/locale/el/LC_MESSAGES/libksieve.mo
-share/locale/en_GB/LC_MESSAGES/libksieve.mo
-share/locale/eo/LC_MESSAGES/libksieve.mo
-share/locale/es/LC_MESSAGES/libksieve.mo
-share/locale/et/LC_MESSAGES/libksieve.mo
-share/locale/eu/LC_MESSAGES/libksieve.mo
-share/locale/fa/LC_MESSAGES/libksieve.mo
-share/locale/fi/LC_MESSAGES/libksieve.mo
-share/locale/fr/LC_MESSAGES/libksieve.mo
-share/locale/fy/LC_MESSAGES/libksieve.mo
-share/locale/ga/LC_MESSAGES/libksieve.mo
-share/locale/gl/LC_MESSAGES/libksieve.mo
-share/locale/hi/LC_MESSAGES/libksieve.mo
-share/locale/hne/LC_MESSAGES/libksieve.mo
-share/locale/hu/LC_MESSAGES/libksieve.mo
-share/locale/ia/LC_MESSAGES/libksieve.mo
-share/locale/is/LC_MESSAGES/libksieve.mo
-share/locale/it/LC_MESSAGES/libksieve.mo
-share/locale/ja/LC_MESSAGES/libksieve.mo
-share/locale/ka/LC_MESSAGES/libksieve.mo
-share/locale/kk/LC_MESSAGES/libksieve.mo
-share/locale/km/LC_MESSAGES/libksieve.mo
-share/locale/ko/LC_MESSAGES/libksieve.mo
-share/locale/lt/LC_MESSAGES/libksieve.mo
-share/locale/lv/LC_MESSAGES/libksieve.mo
-share/locale/mk/LC_MESSAGES/libksieve.mo
-share/locale/mr/LC_MESSAGES/libksieve.mo
-share/locale/ms/LC_MESSAGES/libksieve.mo
-share/locale/nb/LC_MESSAGES/libksieve.mo
-share/locale/nds/LC_MESSAGES/libksieve.mo
-share/locale/ne/LC_MESSAGES/libksieve.mo
-share/locale/nl/LC_MESSAGES/libksieve.mo
-share/locale/nn/LC_MESSAGES/libksieve.mo
-share/locale/pa/LC_MESSAGES/libksieve.mo
-share/locale/pl/LC_MESSAGES/libksieve.mo
-share/locale/pt/LC_MESSAGES/libksieve.mo
-share/locale/pt_BR/LC_MESSAGES/libksieve.mo
-share/locale/ro/LC_MESSAGES/libksieve.mo
-share/locale/ru/LC_MESSAGES/libksieve.mo
-share/locale/se/LC_MESSAGES/libksieve.mo
-share/locale/sk/LC_MESSAGES/libksieve.mo
-share/locale/sl/LC_MESSAGES/libksieve.mo
-share/locale/sq/LC_MESSAGES/libksieve.mo
-share/locale/sr/LC_MESSAGES/libksieve.mo
-share/locale/sr@ijekavian/LC_MESSAGES/libksieve.mo
-share/locale/sr@ijekavianlatin/LC_MESSAGES/libksieve.mo
-share/locale/sr@latin/LC_MESSAGES/libksieve.mo
-share/locale/sv/LC_MESSAGES/libksieve.mo
-share/locale/ta/LC_MESSAGES/libksieve.mo
-share/locale/tg/LC_MESSAGES/libksieve.mo
-share/locale/tr/LC_MESSAGES/libksieve.mo
-share/locale/ug/LC_MESSAGES/libksieve.mo
-share/locale/uk/LC_MESSAGES/libksieve.mo
-share/locale/uz/LC_MESSAGES/libksieve.mo
-share/locale/uz@cyrillic/LC_MESSAGES/libksieve.mo
-share/locale/zh_CN/LC_MESSAGES/libksieve.mo
-share/locale/zh_TW/LC_MESSAGES/libksieve.mo
-share/qlogging-categories5/libksieve.categories
-share/qlogging-categories5/libksieve.renamecategories
+share/locale/ar/LC_MESSAGES/libksieve6.mo
+share/locale/ast/LC_MESSAGES/libksieve6.mo
+share/locale/be/LC_MESSAGES/libksieve6.mo
+share/locale/bg/LC_MESSAGES/libksieve6.mo
+share/locale/br/LC_MESSAGES/libksieve6.mo
+share/locale/bs/LC_MESSAGES/libksieve6.mo
+share/locale/ca/LC_MESSAGES/libksieve6.mo
+share/locale/ca@valencia/LC_MESSAGES/libksieve6.mo
+share/locale/cs/LC_MESSAGES/libksieve6.mo
+share/locale/cy/LC_MESSAGES/libksieve6.mo
+share/locale/da/LC_MESSAGES/libksieve6.mo
+share/locale/de/LC_MESSAGES/libksieve6.mo
+share/locale/el/LC_MESSAGES/libksieve6.mo
+share/locale/en_GB/LC_MESSAGES/libksieve6.mo
+share/locale/eo/LC_MESSAGES/libksieve6.mo
+share/locale/es/LC_MESSAGES/libksieve6.mo
+share/locale/et/LC_MESSAGES/libksieve6.mo
+share/locale/eu/LC_MESSAGES/libksieve6.mo
+share/locale/fa/LC_MESSAGES/libksieve6.mo
+share/locale/fi/LC_MESSAGES/libksieve6.mo
+share/locale/fr/LC_MESSAGES/libksieve6.mo
+share/locale/fy/LC_MESSAGES/libksieve6.mo
+share/locale/ga/LC_MESSAGES/libksieve6.mo
+share/locale/gl/LC_MESSAGES/libksieve6.mo
+share/locale/hi/LC_MESSAGES/libksieve6.mo
+share/locale/hne/LC_MESSAGES/libksieve6.mo
+share/locale/hu/LC_MESSAGES/libksieve6.mo
+share/locale/ia/LC_MESSAGES/libksieve6.mo
+share/locale/is/LC_MESSAGES/libksieve6.mo
+share/locale/it/LC_MESSAGES/libksieve6.mo
+share/locale/ja/LC_MESSAGES/libksieve6.mo
+share/locale/ka/LC_MESSAGES/libksieve6.mo
+share/locale/kk/LC_MESSAGES/libksieve6.mo
+share/locale/km/LC_MESSAGES/libksieve6.mo
+share/locale/ko/LC_MESSAGES/libksieve6.mo
+share/locale/lt/LC_MESSAGES/libksieve6.mo
+share/locale/lv/LC_MESSAGES/libksieve6.mo
+share/locale/mk/LC_MESSAGES/libksieve6.mo
+share/locale/mr/LC_MESSAGES/libksieve6.mo
+share/locale/ms/LC_MESSAGES/libksieve6.mo
+share/locale/nb/LC_MESSAGES/libksieve6.mo
+share/locale/nds/LC_MESSAGES/libksieve6.mo
+share/locale/ne/LC_MESSAGES/libksieve6.mo
+share/locale/nl/LC_MESSAGES/libksieve6.mo
+share/locale/nn/LC_MESSAGES/libksieve6.mo
+share/locale/pa/LC_MESSAGES/libksieve6.mo
+share/locale/pl/LC_MESSAGES/libksieve6.mo
+share/locale/pt/LC_MESSAGES/libksieve6.mo
+share/locale/pt_BR/LC_MESSAGES/libksieve6.mo
+share/locale/ro/LC_MESSAGES/libksieve6.mo
+share/locale/ru/LC_MESSAGES/libksieve6.mo
+share/locale/se/LC_MESSAGES/libksieve6.mo
+share/locale/sk/LC_MESSAGES/libksieve6.mo
+share/locale/sl/LC_MESSAGES/libksieve6.mo
+share/locale/sq/LC_MESSAGES/libksieve6.mo
+share/locale/sr/LC_MESSAGES/libksieve6.mo
+share/locale/sr@ijekavian/LC_MESSAGES/libksieve6.mo
+share/locale/sr@ijekavianlatin/LC_MESSAGES/libksieve6.mo
+share/locale/sr@latin/LC_MESSAGES/libksieve6.mo
+share/locale/sv/LC_MESSAGES/libksieve6.mo
+share/locale/ta/LC_MESSAGES/libksieve6.mo
+share/locale/tg/LC_MESSAGES/libksieve6.mo
+share/locale/tr/LC_MESSAGES/libksieve6.mo
+share/locale/ug/LC_MESSAGES/libksieve6.mo
+share/locale/uk/LC_MESSAGES/libksieve6.mo
+share/locale/uz/LC_MESSAGES/libksieve6.mo
+share/locale/uz@cyrillic/LC_MESSAGES/libksieve6.mo
+share/locale/zh_CN/LC_MESSAGES/libksieve6.mo
+share/locale/zh_TW/LC_MESSAGES/libksieve6.mo
+share/qlogging-categories6/libksieve.categories
+share/qlogging-categories6/libksieve.renamecategories
 share/sieve/scripts/copy/template.desktop
 share/sieve/scripts/copy/template.txt
diff --git a/net/mailcommon/Makefile b/net/mailcommon/Makefile
index 92ae1c58bd4f..400452af446c 100644
--- a/net/mailcommon/Makefile
+++ b/net/mailcommon/Makefile
@@ -1,6 +1,5 @@
 PORTNAME=	mailcommon
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	1
 CATEGORIES=	net kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
@@ -14,10 +13,9 @@ LIB_DEPENDS=	libassuan.so:security/libassuan \
 		libgpg-error.so:security/libgpg-error \
 		libgpgme.so:security/gpgme \
 		libgpgmepp.so:security/gpgme-cpp \
-		libqgpgme.so:security/gpgme-qt@qt5
+		libqgpgmeqt6.so:security/gpgme-qt@qt6
 
-USES=		cmake compiler:c++11-lib gettext grantlee:5 kde:5 qt:5 tar:xz \
-		xorg
+USES=		cmake compiler:c++11-lib gettext kde:6 qt:6 tar:xz xorg
 USE_KDE=	archive auth codecs completion config configwidgets coreaddons \
 		guiaddons i18n iconthemes itemmodels itemviews jobwidgets kio \
 		phonon service solid sonnet syntaxhighlighting textwidgets \
@@ -28,8 +26,7 @@ USE_KDE+=	akonadi akonadicontacts akonadimime contacts grantleetheme \
 		identitymanagement imap ktextaddons ldap libkdepim libkleo \
 		mailimporter mailtransport messagelib mime pimcommon \
 		pimtextedit
-USE_QT=		concurrent core dbus gui network widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base
 USE_XORG=	x11
 USE_LDCONFIG=	yes
 
diff --git a/net/mailcommon/distinfo b/net/mailcommon/distinfo
index 65bb77741c0d..6908b57e432f 100644
--- a/net/mailcommon/distinfo
+++ b/net/mailcommon/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889485
-SHA256 (KDE/release-service/23.08.5/mailcommon-23.08.5.tar.xz) = 65dd3b8c9f8233fbdbde5a6f6f65539c061920e34140bd8f97d0efde5fd60fc0
-SIZE (KDE/release-service/23.08.5/mailcommon-23.08.5.tar.xz) = 763084
+TIMESTAMP = 1734460335
+SHA256 (KDE/release-service/24.12.0/mailcommon-24.12.0.tar.xz) = 409e8fc2188392e9ae1452d443eed33ec3fbc017aba7e7e0ae02dd0758cf1e1d
+SIZE (KDE/release-service/24.12.0/mailcommon-24.12.0.tar.xz) = 789620
